var verify = require('adventure-verify')
var fs = require('fs')
var path = require('path')

exports.problem = fs.createReadStream(path.join(__dirname, 'problem.txt'))
exports.solution = fs.createReadStream(path.join(__dirname, 'solution.js'))

exports.verify = verify({ modeReset: true }, function (args, t) {
  t.plan(6)
  var f = require(path.resolve(args[0]))
  t.ok(f('0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF\n'),
    '0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF\\n')
  t.ok(f('0x00\n0x11\n0x22\n0x33\n0x44\n0x55\n0x66\n0x77\n'),
    '0x00\\n0x11\\n0x22\\n0x33\\n0x44\\n0x55\\n0x66\\n0x77')
  t.ok(f('0x0f  0x1f  0x2f  0x3f  0x4f  0x5f  0x6f  0x7f\n'),
    '0x0f  0x1f  0x2f  0x3f  0x4f  0x5f  0x6f  0x7f\\n')
  t.ok(f('0xE2 0xC3 0xB3 0xD0 0x44 0x9E 0x6F 0x7F\n'),
    '0xE2 0xC3 0xB3 0xD0 0x44 0x9E 0x6F 0x7F\\n')
  t.notOk(f('0xE2 0xC3 0xB3 0xD0 0x44 0x9E 0x6F\n'),
    '0xE2 0xC3 0xB3 0xD0 0x44 0x9E 0x6F\n')
  t.notOk(f('0xE2 0xC3 0xB3 0xD0 0x44 0x9E 0x6F 0xff 0xff\n'),
    '0xE2 0xC3 0xB3 0xD0 0x44 0x9E 0x6F 0xff 0xff\n')
})
